﻿2026-06-02T10:15:15.3558690Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-02T10:15:15.3560606Z with:
2026-06-02T10:15:15.3561769Z   components: clippy
2026-06-02T10:15:15.3563057Z   toolchain: stable
2026-06-02T10:15:15.3564314Z ##[endgroup]
2026-06-02T10:15:15.3759640Z ##[group]Run : parse toolchain version
2026-06-02T10:15:15.3761662Z [36;1m: parse toolchain version[0m
2026-06-02T10:15:15.3763746Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-02T10:15:15.3766581Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-02T10:15:15.3769622Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-02T10:15:15.3771587Z [36;1m  exit 1[0m
2026-06-02T10:15:15.3773493Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-02T10:15:15.3775830Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-02T10:15:15.3778735Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.3781912Z [36;1m  else[0m
2026-06-02T10:15:15.3784246Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.3786885Z [36;1m  fi[0m
2026-06-02T10:15:15.3788618Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-02T10:15:15.3791841Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.3794533Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-02T10:15:15.3797513Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.3800601Z [36;1melse[0m
2026-06-02T10:15:15.3802101Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.3803956Z [36;1mfi[0m
2026-06-02T10:15:15.3852522Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:15.3854450Z env:
2026-06-02T10:15:15.3855605Z   toolchain: stable
2026-06-02T10:15:15.3856888Z ##[endgroup]
2026-06-02T10:15:15.4068375Z ##[group]Run : construct rustup command line
2026-06-02T10:15:15.4069620Z [36;1m: construct rustup command line[0m
2026-06-02T10:15:15.4071522Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.4073716Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.4075457Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:15.4104646Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:15.4105887Z env:
2026-06-02T10:15:15.4106636Z   targets: 
2026-06-02T10:15:15.4107424Z   components: clippy
2026-06-02T10:15:15.4108260Z ##[endgroup]
2026-06-02T10:15:15.4239159Z ##[group]Run : set $CARGO_HOME
2026-06-02T10:15:15.4240362Z [36;1m: set $CARGO_HOME[0m
2026-06-02T10:15:15.4241679Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-02T10:15:15.4269722Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:15.4271250Z ##[endgroup]
2026-06-02T10:15:15.4401293Z ##[group]Run : install rustup if needed
2026-06-02T10:15:15.4402440Z [36;1m: install rustup if needed[0m
2026-06-02T10:15:15.4403524Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-02T10:15:15.4405991Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-02T10:15:15.4408412Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-02T10:15:15.4409484Z [36;1mfi[0m
2026-06-02T10:15:15.4437659Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:15.4438880Z env:
2026-06-02T10:15:15.4439780Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:15.4440857Z ##[endgroup]
2026-06-02T10:15:15.4586488Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-02T10:15:15.4590463Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-02T10:15:15.4621466Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:15.4622893Z env:
2026-06-02T10:15:15.4623683Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:15.4624687Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-02T10:15:15.4625613Z ##[endgroup]
2026-06-02T10:15:15.6531740Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-02T10:15:15.8329101Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:15.8458617Z info: removing previous version of component clippy
2026-06-02T10:15:15.8474062Z info: removing previous version of component rustfmt
2026-06-02T10:15:15.8485381Z info: removing previous version of component cargo
2026-06-02T10:15:15.8529987Z info: removing previous version of component rust-std
2026-06-02T10:15:15.8577886Z info: removing previous version of component rustc
2026-06-02T10:15:15.8629008Z info: downloading 5 components
2026-06-02T10:15:25.2760927Z 
2026-06-02T10:15:25.2855766Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-02T10:15:25.2857134Z 
2026-06-02T10:15:25.3024944Z ##[group]Run rustup default stable
2026-06-02T10:15:25.3025335Z [36;1mrustup default stable[0m
2026-06-02T10:15:25.3054739Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.3055117Z env:
2026-06-02T10:15:25.3055348Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.3055632Z ##[endgroup]
2026-06-02T10:15:25.3167463Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-02T10:15:25.3173048Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-02T10:15:25.3173629Z 
2026-06-02T10:15:25.3257004Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:25.3258294Z 
2026-06-02T10:15:25.3306786Z ##[group]Run : create cachekey
2026-06-02T10:15:25.3307216Z [36;1m: create cachekey[0m
2026-06-02T10:15:25.3307760Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-02T10:15:25.3308458Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-02T10:15:25.3308983Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-02T10:15:25.3338537Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.3338915Z env:
2026-06-02T10:15:25.3339139Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.3339419Z ##[endgroup]
2026-06-02T10:15:25.3781849Z ##[group]Run : disable incremental compilation
2026-06-02T10:15:25.3782332Z [36;1m: disable incremental compilation[0m
2026-06-02T10:15:25.3782713Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-02T10:15:25.3783104Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-02T10:15:25.3783431Z [36;1mfi[0m
2026-06-02T10:15:25.3812779Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.3813209Z env:
2026-06-02T10:15:25.3813460Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.3813760Z ##[endgroup]
2026-06-02T10:15:25.3902002Z ##[group]Run : enable colors in Cargo output
2026-06-02T10:15:25.3902394Z [36;1m: enable colors in Cargo output[0m
2026-06-02T10:15:25.3902795Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-02T10:15:25.3903165Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-02T10:15:25.3903505Z [36;1mfi[0m
2026-06-02T10:15:25.3930490Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.3930924Z env:
2026-06-02T10:15:25.3931164Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.3931477Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:25.3931727Z ##[endgroup]
2026-06-02T10:15:25.4019031Z ##[group]Run : enable Cargo sparse registry
2026-06-02T10:15:25.4019700Z [36;1m: enable Cargo sparse registry[0m
2026-06-02T10:15:25.4020091Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-02T10:15:25.4021213Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-02T10:15:25.4022164Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-02T10:15:25.4022760Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:15:25.4023323Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-02T10:15:25.4023841Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-02T10:15:25.4024426Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-02T10:15:25.4024978Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-02T10:15:25.4025357Z [36;1m  fi[0m
2026-06-02T10:15:25.4025583Z [36;1mfi[0m
2026-06-02T10:15:25.4053196Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.4053576Z env:
2026-06-02T10:15:25.4053815Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.4054114Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:25.4054365Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:25.4054622Z ##[endgroup]
2026-06-02T10:15:25.4427731Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-02T10:15:25.4428265Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-02T10:15:25.4428880Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-02T10:15:25.4429566Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-02T10:15:25.4430064Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-02T10:15:25.4430796Z [36;1mfi[0m
2026-06-02T10:15:25.4461592Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.4461991Z env:
2026-06-02T10:15:25.4462221Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.4462517Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:25.4462769Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:25.4463042Z ##[endgroup]
2026-06-02T10:15:25.4697782Z ##[group]Run rustc +stable --version --verbose
2026-06-02T10:15:25.4698242Z [36;1mrustc +stable --version --verbose[0m
2026-06-02T10:15:25.4728914Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-02T10:15:25.4729311Z env:
2026-06-02T10:15:25.4729549Z   CARGO_HOME: /home/runner/.cargo
2026-06-02T10:15:25.4729853Z   CARGO_INCREMENTAL: 0
2026-06-02T10:15:25.4730124Z   CARGO_TERM_COLOR: always
2026-06-02T10:15:25.4730712Z ##[endgroup]
2026-06-02T10:15:25.4910866Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-02T10:15:25.4911711Z binary: rustc
2026-06-02T10:15:25.4914317Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-02T10:15:25.4915245Z commit-date: 2026-05-25
2026-06-02T10:15:25.4915908Z host: x86_64-unknown-linux-gnu
2026-06-02T10:15:25.4916521Z release: 1.96.0
2026-06-02T10:15:25.4917356Z LLVM version: 22.1.2
